Bug 1128469 - Calendar icon not functional in Errata by ID content view filter page
Summary: Calendar icon not functional in Errata by ID content view filter page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1130651
TreeView+ depends on / blocked
 
Reported: 2014-08-10 17:24 UTC by sthirugn@redhat.com
Modified: 2017-02-23 21:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:13:53 UTC


Attachments (Terms of Use)
calendar icon not functional (84.54 KB, image/png)
2014-08-10 17:25 UTC, sthirugn@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 7342 None None None 2016-04-22 16:11:21 UTC

Description sthirugn@redhat.com 2014-08-10 17:24:54 UTC
Description of problem:
Calendar icon not functional in Errata by ID content view filter page

Version-Release number of selected component (if applicable):
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create a content view
2. Select content view -> Content Tab -> Filters
3. Click +New Filter
4. Enter Name, Content Type -> Errata - by ID, Type -> Include. Click Save
5. Select the filter -> Add Tab
6. Notice that the calendar icon is not functional for Start Date and End Date

Actual results:
Notice that the calendar icon is not functional for Start Date and End Date (see screenshot)

Expected results:
The calendar icon should show the calendar widgetfor Start Date and End Date

Additional info:
When I click on the text box for Start Date and End Date - the calendar widget is shown though

Comment 1 sthirugn@redhat.com 2014-08-10 17:25:46 UTC
Created attachment 925526 [details]
calendar icon not functional

Comment 2 sthirugn@redhat.com 2014-08-10 17:27:10 UTC
Note: This bug is applicable for Errata - Date and Type filter as well.

Comment 4 Brad Buckingham 2014-09-03 20:38:49 UTC
Created redmine issue http://projects.theforeman.org/issues/7342 from this bug

Comment 5 Brad Buckingham 2014-09-03 20:42:41 UTC
Proposed fix in katello PR: 
https://github.com/Katello/katello/pull/4637

Comment 8 sthirugn@redhat.com 2015-02-13 15:39:56 UTC
Verified.

Version Tested:
Satellite-6.1.0-RHEL-6-20150210.0

Comment 9 Bryan Kearney 2015-08-11 13:23:26 UTC
This bug is slated to be released with Satellite 6.1.

Comment 10 errata-xmlrpc 2015-08-12 05:13:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.